## barbican 3.0.0

=== debian/changelog ===
barbican (1:3.0.0-3) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858219).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:18:11 +0200

barbican (1:3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Dependency added: net-tools (Closes: #858219)

 -- David Rabel <david.rabel@noresoft.com>  Sun, 19 Mar 2017 22:44:48 +0100

barbican (1:3.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * New upstream release.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 10:36:47 +0100
