## barbican 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel>=2.3.4 # BSD
cffi # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycrypto>=2.6 # Public Domain
pyOpenSSL>=0.14 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.12.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
WebOb>=1.6.0 # MIT
