=== debian/changelog ===
barbican (1:4.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 15:40:42 +0000

barbican (1:4.0.0-0ubuntu1) zesty; urgency=medium

  * debian/control: Cleanup dependencies.
  * debian/control, debian/tests: Add dep8 tests.
  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:13:30 -0500

barbican (1:4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 
  * debian/patches/ldap3-to-ldap.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 11:23:33 -0500

barbican (1:4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch: Refreshed. 
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2017 09:58:09 -0500

barbican (1:4.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/p/ldap3-to-ldap.patch, d/control: Use python-ldap, instead of
    python-pyldap which is not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Jan 2017 10:28:38 -0500

barbican (1:4.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * Use python-pyldap instead of python-ldap:
     - debian/control
     - debian/patches/use-pyldap.patch

  [ Corey Bryant ]
  * d/p/use-pyldap.patch: Dropped. Dup of ldap3-to-ldap.patch.
  * d/p/ldap3-to-ldap.patch: Restored with pyldap update.
  * New upstream version.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Add python-pep8 to BDs.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:57:55 -0500

barbican (1:3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 10:01:18 -0400

barbican (1:3.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ Chuck Short]
  * d/control: Move pykmip to Suggests

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Oct 2016 13:43:38 -0400

barbican (1:3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 19 Sep 2016 15:38:42 +0100

barbican (1:3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ James Page ]
  * d/control: Add pykmip to Recommends.
  * d/barbican-common.postinst: Tidy, use explicit 'set -e' to avoid lintian
    warning.
  * d/barbican-doc.doc-base: Add documentation registration for barbican
    docs.
  * d/control,rules: Use ostestr to execute unit tests.
  * d/p/add-RNG-seed.patch: Dropped, included upstream.
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 14:45:31 +0100

barbican (1:3.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/p/add-RNG-seed.patch: Cherry-picked from master to seed RNG for soft HSM.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 Aug 2016 14:43:40 -0400

barbican (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * Update (Build-)Depends inline with upstream.

  [ Corey Bryant ]
  * d/p/ldap3-to-ldap.patch: Rebased.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:43:37 -0400
