=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: apache2-dev,
               debhelper (>= 9~),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-babel (>= 2.3.4),
                     python-cffi,
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-ldap (>= 2.4.22),
                     python-mock (>= 2.0),
                     python-openssl (>= 0.14),
                     python-openstackdocstheme (>= 1.5.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-crypto (>= 2.6),
                     python-pykmip (>= 0.5.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican
XS-Testsuite: autopkgtest

Package: python-barbican
Architecture: all
Section: python
Depends: python-alembic (>= 0.8.10),
         python-babel (>= 2.3.4),
         python-cffi,
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.18.2),
         python-jsonschema (>= 2.0.0),
         python-keystonemiddleware (>= 4.2.0),
         python-ldap (>= 2.4.22),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.7.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.0.0),
         python-crypto (>= 2.6),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pykmip (>= 0.5.0)
Recommends: python-pymysql
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

Package: barbican-common
Architecture: all
Depends: adduser,
         python-barbican (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Replaces: barbican-api (<< 1:2.0.0~b1-0ubuntu1~),
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         libapache2-mod-wsgi,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: barbican-keystone-listener
Architecture: all
Depends: barbican-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.
