=== debian/changelog ===
barbican (1:5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:03:51 -0400

barbican (1:5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 09:35:03 -0400

barbican (1:5.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 15:13:48 -0400

barbican (1:5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/barbican-common.install: Install barbican-wsgi-api.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:04:49 -0400

barbican (1:5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Add (Build-)Depends on python-oslo.db.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:05:46 +0100

barbican (1:5.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:03:54 +0100

barbican (1:5.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/patches/ldap3-to-ldap.patch: Refreshed.
  * d/rules: Autogenerate the /etc/barbican/barbican.conf.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * d/rules: Write generated config file to etc/barbican/barbican.conf,
    and tidy on clean.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 11:22:30 +0100
