=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-babel (>= 2.3.4),
                      python-cffi,
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
@@ -29,18 +29,18 @@
                      python-ldap (>= 2.4.22),
                      python-mock (>= 2.0),
                      python-openssl (>= 0.14),
-                     python-openstackdocstheme (>= 1.5.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslotest (>= 1.10.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
@@ -48,14 +48,14 @@
                      python-pep8,
                      python-crypto (>= 2.6),
                      python-pykmip (>= 0.5.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
 Standards-Version: 3.9.6
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
@@ -69,30 +69,31 @@
 Depends: python-alembic (>= 0.8.10),
          python-babel (>= 2.3.4),
          python-cffi,
-         python-cryptography (>= 1.0),
+         python-cryptography (>= 1.6),
          python-eventlet (>= 0.18.2),
          python-jsonschema (>= 2.0.0),
          python-keystonemiddleware (>= 4.2.0),
          python-ldap (>= 2.4.22),
          python-openssl (>= 0.14),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.7.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
+         python-oslo.db (>= 4.24.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pecan (>= 1.0.0),
          python-crypto (>= 2.6),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
-         python-webob (>= 1.6.0),
+         python-stevedore (>= 1.20.0),
+         python-webob (>= 1.7.1),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-pykmip (>= 0.5.0)
