=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 	python setup.py install --root=debian/tmp --install-layout=deb
 
 override_dh_install:
+	PYTHONPATH=$(CURDIR) oslo-config-generator \
+		--config-file etc/oslo-config-generator/barbican.conf \
+		--output-file etc/barbican/barbican.conf
 	dh_install --fail-missing
 
 override_dh_sphinxdoc:
@@ -37,3 +40,4 @@
 	rm -rf build
 	rm -rf barbican.sqlite
 	rm -rf .eggs
+	rm -f etc/barbican/barbican.conf
