## barbican 5.0.1

=== debian/changelog ===
barbican (1:5.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1806041).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:07:44 -0500

barbican (1:5.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 14:59:45 +0000
