## barbican 6.0.0

=== debian/changelog ===
barbican (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 12:55:17 -0500

barbican (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/barbican-common.install: Drop install of policy file.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 17:05:50 +0000

barbican (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New snapshot.
  * d/p/*: Rebase.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 08:10:20 -0500

barbican (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:19:49 +0000

barbican (1:6.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/rules: Don't run functional tests as they require barbican
    and keystone services to be running.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Nov 2017 15:18:08 -0500

barbican (1:6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 12:44:34 -0500
