=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	ostestr --regex "^barbican.tests.*"
 endif
 
 override_dh_auto_install:
