=== debian/tests/control ===
Tests: barbican-daemons python-barbican
Depends: python-barbican, barbican-common, barbican-api,
 barbican-worker, barbican-keystone-listener
Restrictions: needs-root
